        d = open("tdata")
        getfirst(d)
        Data = 'Тек.дата'.d
        close(d)
        db1 = open("plan")
        db11 = open("osv")
        for i = 1 to size(db1)
          if i = 1 then getfirst(db1)
          if i > 1 then getnext(db1)
          if i = 1 then getfirst(db11)
          if i > 1 then getnext(db11)
          if trim('Номер'.db1) = trim('Счет'.db11) then goto 900
          print "Несоответствие плана счетов и оборотки: план ",'Номер'.db1," ОСВ ",'Счет'.db11
          close(db1)
          close(db11)
          end
900       if trim('Номер'.db1) = "000" then goto 100
          if 'Расчеты'.db1 = "    "  then goto 400
          if trim('Расчеты'.db1) = "ОС" | trim('Расчеты'.db1) = "ос" then goto 100
          if trim('Расчеты'.db1) = "МТ" | trim('Расчеты'.db1) = "мт" then goto 700

          db2 = open(trim('Номер'.db1))
          db3 = open("spoop")
          getlast(db3)
          NumProv = 'N_проводки'.db3 + 1
          print " "
          print trim('Номер'.db1)," - Аналитический"
          count = size(db2)
          for j = 1 to count
            if j = 1 then getfirst(db2)
            if j > 1 then getnext(db2)
            DbSum = 'DbS_конец'.db2
            KrSum = 'KrS_конец'.db2
            if DbSum = 0 then goto 200
            Sum =  num(str(DbSum / 1000,16,2))
            DbSum = DbSum - Sum
            clearbuf(db3)
            'Раб.место'.db3 = 0
            'N_проводки'.db3 = NumProv
            'Дата'.db3 = Data
            'Документ'.db3 = "Деноминац."
            'Примечание'.db3 = "Деноминация на январь 1998г"
            'Kr_расчеты'.db3 = 'Субсчет'.db2
            'Kr_счета'.db3 = 'Номер'.db1
            'Db_расчеты'.db3 = "   "
            'Db_счета'.db3 = "000"
            'Сумма'.db3 = DbSum
            insert(db3)
            NumProv = NumProv + 1
            print trim('Номер'.db1),"/",'Субсчет'.db2

200         if KrSum = 0 then goto 300
            Sum =  num(str(KrSum / 1000,16,2))
            KrSum = KrSum - Sum
            clearbuf(db3)
            'Раб.место'.db3 = 0
            'N_проводки'.db3 = NumProv
            'Дата'.db3 = Data
            'Документ'.db3 = "Деноминац."
            'Примечание'.db3 = "Деноминация на январь 1998г"
            'Db_расчеты'.db3 = 'Субсчет'.db2
            'Db_счета'.db3 = 'Номер'.db1
            'Kr_расчеты'.db3 = "   "
            'Kr_счета'.db3 = "000"
            'Сумма'.db3 = KrSum
            insert(db3)
            NumProv = NumProv + 1
            print trim('Номер'.db1),"/",'Субсчет'.db2
300       next
          close(db2)
          close(db3)
          goto 100

400     db3 = open("spoop")
        getlast(db3)
        NumProv = 'N_проводки'.db3 + 1
        DbSum = 'DbS_конец'.db11
        KrSum = 'KrS_конец'.db11
        if DbSum = 0 then goto 500
        Sum =  num(str(DbSum / 1000,16,2))
        DbSum = DbSum - Sum
        clearbuf(db3)
        'Раб.место'.db3 = 0
        'N_проводки'.db3 = NumProv
        'Дата'.db3 = Data
        'Документ'.db3 = "Деноминац."
        'Примечание'.db3 = "Деноминация на январь 1998г"
        'Kr_расчеты'.db3 = "           "
        'Kr_счета'.db3 = 'Номер'.db1
        'Db_расчеты'.db3 = "   "
        'Db_счета'.db3 = "000"
        'Сумма'.db3 = DbSum
        insert(db3)
        NumProv = NumProv + 1
        print trim('Номер'.db1)," - Синтетический"
500     if KrSum = 0 then goto 600
        Sum =  num(str(KrSum / 1000,16,2))
        KrSum = KrSum - Sum
        clearbuf(db3)
        'Раб.место'.db3 = 0
        'N_проводки'.db3 = NumProv
        'Дата'.db3 = Data
        'Документ'.db3 = "Деноминац."
        'Примечание'.db3 = "Деноминация на январь 1998г"
        'Db_расчеты'.db3 = "   "
        'Db_счета'.db3 = 'Номер'.db1
        'Kr_расчеты'.db3 = "   "
        'Kr_счета'.db3 = "000"
        'Сумма'.db3 = KrSum
        insert(db3)
        NumProv = NumProv + 1
        print trim('Номер'.db1)," - Синтетический "
600     close(db3)
        goto 100

700       db2 = open(trim('Номер'.db1))
          db3 = open("spoop")
          getlast(db3)
          NumProv = 'N_проводки'.db3 + 1
          print " "
          print trim('Номер'.db1)," - Материалы   "
          count = size(db2)
          for j = 1 to count
            if j = 1 then getfirst(db2)
            if j > 1 then getnext(db2)
            DbSum = 'Ост.сумма'.db2
            if DbSum = 0 then goto 750

            Sum =  num(str(DbSum / 1000,16,2))
            DbSum = DbSum - Sum
            clearbuf(db3)
            'Раб.место'.db3 = 0
            'N_проводки'.db3 = NumProv
            'Дата'.db3 = Data
            'Документ'.db3 = "Деноминац."
            'Примечание'.db3 = "Деноминация на январь 1998г"
            'Kr_расчеты'.db3 = 'Субсчет'.db2
            'Kr_счета'.db3 = 'Номер'.db1
            'Db_расчеты'.db3 = "   "
            'Db_счета'.db3 = "000"
            'Сумма'.db3 = DbSum
            insert(db3)
            NumProv = NumProv + 1
            print trim('Номер'.db1),"/",'Субсчет'.db2

750       next
          close(db2)
          close(db3)
          goto 100

100     next
        close(db11)
        close(db1)
        end
